%define upstream_name    Dist-Zilla-Plugin-FatPacker
%define upstream_version 1.161631

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Pack your dependencies onto your script file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::FatPacker)
BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(ok)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This plugin uses the App::FatPacker manpage to pack your dependencies onto
your script file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README.mkdn
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.161.631-5.mga9
+ Revision: 1808938
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.161.631-4.mga8
+ Revision: 1504000
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.161.631-3.mga7
+ Revision: 1283008
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.161.631-2.mga7
+ Revision: 1164184
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 1.161.631-1.mga7
+ Revision: 1157530
- update to 1.161631

* Sun Jun 19 2016 pterjan <pterjan> 1.141.200-5.mga6
+ Revision: 1026199
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.141.200-4.mga6
+ Revision: 938675
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.141.200-3.mga5
+ Revision: 746742
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue May 06 2014 jquelin <jquelin> 1.141.200-1.mga5
+ Revision: 620590
- update to 1.141200

* Fri Oct 18 2013 umeabot <umeabot> 1.100.841-3.mga4
+ Revision: 511058
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.100.841-2.mga3
+ Revision: 366139
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 1.100.841-1.mga1
+ Revision: 40415
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-FatPacker

